#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EWorkshopEnumerationType {
    RankedByVote = 0,
    Recent = 1,
    Trending = 2,
    FavoriteOfFriends = 3,
    VotedByFriends = 4,
    ContentByFriends = 5,
    RecentFromFollowedUsers = 6,
}

impl EWorkshopEnumerationType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::RankedByVote as i32 => Some(Self::RankedByVote),
            x if x == Self::Recent as i32 => Some(Self::Recent),
            x if x == Self::Trending as i32 => Some(Self::Trending),
            x if x == Self::FavoriteOfFriends as i32 => Some(Self::FavoriteOfFriends),
            x if x == Self::VotedByFriends as i32 => Some(Self::VotedByFriends),
            x if x == Self::ContentByFriends as i32 => Some(Self::ContentByFriends),
            x if x == Self::RecentFromFollowedUsers as i32 => Some(Self::RecentFromFollowedUsers),
            _ => None,
        }
    }
}
